## caja-extension-types

caja-extension-types

## Synopsis

    #define             CAJA_TYPE_OPERATION_RESULT
                        CajaOperationHandle;
    enum                CajaOperationResult;
    GType               caja_operation_result_get_type  (void);
    void                caja_module_initialize          (GTypeModule *module);
    void                caja_module_shutdown            (void);
    void                caja_module_list_types          (const GType **types,
                                                             int *num_types);

## Description

## Details

### CAJA_TYPE_OPERATION_RESULT

    #define CAJA_TYPE_OPERATION_RESULT (caja_operation_result_get_type ())

### CajaOperationHandle

    typedef struct _CajaOperationHandle CajaOperationHandle;

### enum CajaOperationResult

    typedef enum {
    	/* Returned if the call succeeded, and the extension is done
    	 * with the request */
    	CAJA_OPERATION_COMPLETE,

    	/* Returned if the call failed */
    	CAJA_OPERATION_FAILED,

    	/* Returned if the extension has begun an async operation.
    	 * If this is returned, the extension must set the handle
    	 * parameter and call the callback closure when the
    	 * operation is complete. */
    	CAJA_OPERATION_IN_PROGRESS
    } CajaOperationResult;

### caja_operation_result_get_type ()

    GType               caja_operation_result_get_type  (void);

Returns : |

### caja_module_initialize ()

    void                caja_module_initialize          (GTypeModule *module);

`module` : |

### caja_module_shutdown ()

    void                caja_module_shutdown            (void);

### caja_module_list_types ()

    void                caja_module_list_types          (const GType **types,
                                                             int *num_types);

`types` : |
`num_types` : |